---
layout: default
title: Introduction
nav_order: 1
---

# Introduction
{: .no_toc }

<details open markdown="block">
  <summary>
    Table of contents
  </summary>
  {: .text-delta }
1. TOC
{:toc}
</details>

---

## Task management for the [Obsidian](https://obsidian.md/) knowledge base

Track tasks across your entire vault.
Query them and mark them as done wherever you want.
Supports due dates, recurring tasks (repetition), done dates, sub-set of checklist items, and filtering.

You can toggle the task status in any view or query and it will update the source file.

> Please submit bugs [here](https://github.com/schemar/obsidian-tasks/issues).
>
> Please submit ideas [here](https://github.com/schemar/obsidian-tasks/discussions/categories/ideas).
>
> Please ask for help [here](https://github.com/schemar/obsidian-tasks/discussions/categories/q-a).

For changes in each release, please check the [releases page](https://github.com/schemar/obsidian-tasks/releases).

---

## Screenshots

- *All screenshots assume the global filter `#task` which is not set by default (see also "Getting Started").*
- *The theme is [Obsidian Atom](https://github.com/kognise/obsidian-atom).*

![ACME Tasks](https://github.com/schemar/obsidian-tasks/raw/main/resources/screenshots/acme.png)
The `ACME` note has some tasks.

![Important Project Tasks](https://github.com/schemar/obsidian-tasks/raw/main/resources/screenshots/important_project.png)
The `Important Project` note also has some tasks.

![Tasks Queries](https://github.com/schemar/obsidian-tasks/raw/main/resources/screenshots/tasks_queries.png)
The `Tasks` note gathers all tasks from the vault and displays them using queries.

![Create or Edit Modal](https://github.com/schemar/obsidian-tasks/raw/main/resources/screenshots/modal.png)
The `Tasks: Create or edit` command helps you when editing a task.
